summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Petar Petrov2011-09-03 03:19:20 +0200
committer Niels Horn2011-09-03 03:19:20 +0200
commit00668f37751b72fa4f3f08d2152190277f9f1f17 (patch)
treead0a894324fd50dd230ae3318ddac82b06a6131f
parenteb9abaad731ae9bc3f0d30a94fb117f00f41d822 (diff)
downloadslackbuilds-00668f37751b72fa4f3f08d2152190277f9f1f17.tar.gz
academic/primer3: Added (Design PCR primers)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--academic/primer3/README11
-rw-r--r--academic/primer3/References6
-rw-r--r--academic/primer3/primer3.SlackBuild93
-rw-r--r--academic/primer3/primer3.info10
-rw-r--r--academic/primer3/slack-desc19
5 files changed, 139 insertions, 0 deletions
diff --git a/academic/primer3/README b/academic/primer3/README
new file mode 100644
index 0000000000..2ef54f3a5a
--- /dev/null
+++ b/academic/primer3/README
@@ -0,0 +1,11 @@
+Primer3 is a widely used program for designing PCR primers. Primer3
+can also design hybridization probes and sequencing primers. PCR is
+used for many different goals. Consequently, primer3 has many
+different input parameters that you control and that tell primer3
+exactly what characteristics make good primers for your goals.
+
+For details and citation:
+Steve Rozen and Helen J. Skaletsky (2000) Primer3 on the WWW for
+general users and for biologist programmers. In: Krawetz S, Misener S
+(eds) Bioinformatics Methods and Protocols: Methods in Molecular
+Biology. Humana Press, Totowa, NJ, pp 365-386
diff --git a/academic/primer3/References b/academic/primer3/References
new file mode 100644
index 0000000000..7f4646bd80
--- /dev/null
+++ b/academic/primer3/References
@@ -0,0 +1,6 @@
+References
+
+Steve Rozen and Helen J. Skaletsky (2000) Primer3 on the WWW for general
+users and for biologist programmers. In: Krawetz S, Misener S (eds)
+Bioinformatics Methods and Protocols: Methods in Molecular Biology. Humana
+Press, Totowa, NJ, pp 365-386
diff --git a/academic/primer3/primer3.SlackBuild b/academic/primer3/primer3.SlackBuild
new file mode 100644
index 0000000000..fbba3a73f5
--- /dev/null
+++ b/academic/primer3/primer3.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for primer3
+# Written by Petar Petrov, <ppetrov@paju.oulu.fi> and
+# hereby submitted to the public domain
+
+# THIS SLACKBUILD IS DISTRIBUTETD IN THE HOPE OF BEING
+# USEFUL BUT WITHOUT ANY WARRANTY. THE AUTHOR IS _NOT_
+# RESPONSIBLE FOR ANY DAMAGE OR DATA LOSS CAUSED BY IT.
+
+PRGNAM=primer3
+VERSION=${VERSION:-2.2.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd ./src
+
+#Use our CFLAGS
+sed -i "/^CFLAGS/s/=/+=/" Makefile
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ make
+
+# This is recommended, but the tests take a really long time.
+# Be patient if you uncomment the next line.
+# make test
+
+install -D -m755 primer3_core $PKG/usr/bin/primer3_core
+install -D -m755 long_seq_tm_test $PKG/usr/bin/long_seq_tm_test
+install -D -m755 ntdpal $PKG/usr/bin/ntdpal
+install -D -m755 ntthal $PKG/usr/bin/ntthal
+install -D -m755 oligotm $PKG/usr/bin/oligotm
+
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING.txt example primer3_manual.htm \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/primer3/primer3.info b/academic/primer3/primer3.info
new file mode 100644
index 0000000000..c87f77efde
--- /dev/null
+++ b/academic/primer3/primer3.info
@@ -0,0 +1,10 @@
+PRGNAM="primer3"
+VERSION="2.2.3"
+HOMEPAGE="http://primer3.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/primer3/primer3/2.2.3/primer3-2.2.3.tar.gz"
+MD5SUM="b9cdcff68637479c094844d652c03839"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
+APPROVED="Niels Horn"
diff --git a/academic/primer3/slack-desc b/academic/primer3/slack-desc
new file mode 100644
index 0000000000..7956929b4b
--- /dev/null
+++ b/academic/primer3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+primer3: primer3 (Design PCR primers)
+primer3:
+primer3: Primer3 is a widely used program for designing PCR primers (PCR =
+primer3: "Polymerase Chain Reaction"). PCR is an essential and
+primer3: ubiquitous tool in genetics and molecular biology. Primer3 can also
+primer3: design hybridization probes and sequencing primers.
+primer3:
+primer3:
+primer3:
+primer3:
+primer3: Home: http://primer3.sourceforge.net/